import java.util.Vector;

import quadbase.reportorganizer.organizerAPI.QbOrganizer;
import quadbase.reportorganizer.organizerAPI.QbSchedulePackage;

// Run this example from ERES install directory
public class RemovingScheduleERES {
	//set following constants, your ERES server must be runnning!
	static final String ServletRunner = "http://localhost:8080";
	static final String ServletContext = "ERES/servlet";

	public static void main(String[] args) {
		RemovingScheduleERES doRemoveSchedule = new RemovingScheduleERES();
		try {
			doRemoveSchedule.removeScheduleObject();
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	void removeScheduleObject() throws Exception {
		QbOrganizer.setServletContext(ServletContext);
		QbOrganizer.setServletRunner(ServletRunner);
		QbOrganizer organizer = new QbOrganizer(null, "admin", "admin");

		Vector schedList = organizer.getScheduler().getSchedulePackageList();

		QbSchedulePackage sPack = (QbSchedulePackage) schedList.elementAt(0);
		organizer.getScheduler().removeSchedulePackageTask(sPack);
	}
}
